module ActAsCached
  module ActiveRecord
    extend ActiveSupport::Autoload
    autoload :Actobserver
    autoload :Association
    autoload :CollectionAssociation
    autoload :HasManyThroughAssociation
    autoload :SingularAssociation
    autoload :FinderMethods
  end
end
ActiveRecord::Associations::CollectionAssociation.send(:include,ActAsCached::ActiveRecord::CollectionAssociation)
ActiveRecord::Associations::HasManyThroughAssociation.send(:include,ActAsCached::ActiveRecord::HasManyThroughAssociation)
ActiveRecord::Associations::SingularAssociation.send(:include,ActAsCached::ActiveRecord::SingularAssociation)
ActiveRecord::Associations::Association.send(:include,ActAsCached::ActiveRecord::Association)
ActiveRecord::FinderMethods.send(:include,ActAsCached::ActiveRecord::FinderMethods)