module ActAsCached
  module ActiveRecord
    module Association
      def self.included(klass)
        klass.class_eval do
          delegate :write_cache,:read_cache,:fetch_cache,:enabled_cache?,:cache_mod,to: :owner
        end
      end

      def cache_path
        [cache_mod.name,owner.to_param,reflection.name,reflection.class_name].join('/')
      end
    end
  end
end