module ActAsCached
  module Configurable
    mattr_accessor :logger,:expires_time,:cache_store,:prefix

    def configure(&block)
      yield config
    end

    def config
      self
    end

    module_function :config
  end
end